# Copyright (c) 2018-present by Michael Herwig <michael.herwig@hotmail.de>
# All rights reserved.

find_program(CMAKE_C_COMPILER clang-8)

if(NOT CMAKE_C_COMPILER)
    message(FATAL_ERROR "clang-8 not found.")
endif()

set(CMAKE_C_COMPILER "${CMAKE_C_COMPILER}" CACHE INTERNAL "" FORCE)

find_program(CMAKE_C_COMPILER clang++-8)

if(NOT CMAKE_CXX_COMPILER)
    message(FATAL_ERROR "clang++-8 not found.")
endif()

set(CMAKE_CXX_COMPILER "${CMAKE_CXX_COMPILER}" CACHE INTERNAL "" FORCE)

set(BUILD_SHARED_LIBS OFF CACHE INTERNAL "")

set(CMAKE_C_STANDARD 11 CACHE INTERNAL "")
set(CMAKE_C_STANDARD_REQUIRED ON CACHE INTERNAL "")
set(CMAKE_C_EXTENSIONS OFF CACHE INTERNAL "")
set(CMAKE_CXX_STANDARD 17 CACHE INTERNAL "")
set(CMAKE_CXX_STANDARD_REQUIRED YES CACHE INTERNAL "")
set(CMAKE_CXX_EXTENSIONS OFF CACHE INTERNAL "")
